shishi_tkts_get_tgt(3)

NAME
shishi_tkts_get_tgt - API function

SYNOPSIS
#include <shishi.h>

Shishi_tkt * shishi_tkts_get_tgt(Shishi_tkts * tkts, Shishi_tkts_hint * hint);

ARGUMENTS

Shishi_tkts * tkts
    ticket set handle as allocated by shishi_tkts().

Shishi_tkts_hint * hint
    structure with characteristics of ticket to begot.

DESCRIPTION
Get a ticket granting ticket (TGT) suitable for acquiring ticket matching the hint. I.e., get a TGT for the server realm in the hint structure (hint->serverrealm), or the default realm if the serverrealm field is NULL. Can result in AS exchange.

Currently this function do not implement cross realm logic.

This function is used by shishi_tkts_get(), which is probably what you really want to use unless you have special needs.

RETURN VALUE
Returns a ticket granting ticket if successful, or NULL if this function is unable to acquire on.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.